ESG
Entities
Entities CES
Get CES Data for one entity
GET
https://api.textreveal.com/v3/entities/{entity_id}/esg/ces
Request
Parameters
entity_id*uuidPermanent ID of the entity
Example: "753c48d6-23c8-5fb0-9230-b099898452b5"sizeintegerNumber of records per page
Default: 10Range: [1, 1000]search_afterstringsearch_afterfield value from the previous pagedatedate (operator)Extraction date
Example: "between:2022-01-01;2022-01-02"pageintegerPage number, 1-based
Response
CES Scores
data*object[]Paginated Entities CES list.
size*integerNumber of records per page requested.
Example: 1has_next*booleanTrue if there are more records available.
Example: truecount*integerNumber of records returned in the current page.
Example: 1search_after*string | nullCursor for next page.
total*integerTotal number of records.
Example: 1
Response
{
"data": [
{
"date": "2025-05-06",
"ces_score": 89
}
],
"size": 1,
"has_next": true,
"count": 1,
"search_after": "string",
"total": 1
}Error
Bad request
message*stringError message.
Example: "The server returned an unexpected response"code*integerError code.
Example: 400reason*string (enum)Error reason.
Values: "invalid", "timeout", "offline", "unknown", "not_found", "unauthorized", "forbidden", "internal", "too_many_requests"errorsobject[]Possible error causes, like query params, headers or body.
Response
{
"message": "The server returned an unexpected response",
"code": 400,
"reason": "invalid",
"errors": [
{
"message": "Expected number, received string",
"field": "size",
"reason": "invalid_type"
}
]
}Not authorized
message*stringExample: "Not authorized to access this resource"code*numberError code.
reason*string
Response
{
"message": "Not authorized to access this resource",
"code": 0,
"reason": "string"
}